import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/facility/page/facility_page.dart';


part 'facility_page_router.gr.dart';

/*\
 * Facility模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class FacilityPageRouter extends _$FacilityPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: FacilityPageRoute.page, path: RouterPath.facility, transitionsBuilder: applySlideTransition),
  ];
}
