
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:shared/utils/log_utils.dart';
import '../page/property_news_state.dart';

part 'property_news_vm.g.dart';

@riverpod
class PropertyNewsVm extends _$PropertyNewsVm {
    PropertyNewsState initState() {
      return PropertyNewsState();
    }

    @override
    PropertyNewsState build(){
       PropertyNewsState state = initState();
       return state;
    }

    Future initListData() async {
      Log.d("initListData");
      await Future.delayed(const Duration(seconds: 2));
      // items = List.generate(20, (index) => "Item $index");
    }

    Future refreshListData() async {
      await Future.delayed(const Duration(seconds: 2));
      // setState(() {
      //   items.addAll(List.generate(20, (index) => "Item ${items.length + index}"));
      // });
    }

    // 去新闻详情页
    void goNewsDetail(String item) {
      Log.d("goNewsDetail");
      // PropertyPage.startInstance(context: context, item: item);
    }
}
