import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/notice_board/page/notice_board_page.dart';


part 'notice_board_page_router.gr.dart';

/*\
 * NoticeBoard 模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class NoticeBoardPageRouter extends _$NoticeBoardPageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: NoticeBoardPageRoute.page, path: RouterPath.noticeBoard, transitionsBuilder: applySlideTransition),
  ];
}
